[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfaceList.Add

Add an interface to the list

## Declaration

Source position: classesh.inc line 2110

`public function TInterfaceList.Add(`
`item: IUnknown`
`):Integer;`

## Description

Add is the implementation of the IInterfaceList.Add method. It adds an interface to the list, and returns the location of the new element in the list. This operation will increment the reference count of the interface.

## See also

IInterfaceList.Add |  | Add an interface to the list
TInterfaceList.Delete |  | Delete an interface from the list.
TInterfaceList.Insert |  | Insert an interface to the list
TList.Add |  | Adds a new pointer to the list.
TFPList.Add |  | Adds a new pointer to the list.